CHANGELOG DEPRECATED 

1.3.9 to 1.3.10
----------------------------------------------------------------------
- Changed availability report to include today when querying (see
  http://bugzilla.opennms.org/show_bug.cgi?id=2030)

1.3.8 to 1.3.9
----------------------------------------------------------------------
- Added ISS events.
- Updated Oracle events.

1.3.7 to 1.3.8
----------------------------------------------------------------------
- Fixes for a number of bugs:
  http://bugzilla.opennms.org/showdependencytree.cgi?id=2043
- Initial support for running on Windows, including fixes in a number
  of places for path-handling.
- Allow "-" in service and category names (bug #697)
- Allow specifying a timeout for status on startup (opennms -c)
- Add a convenience script for testing NSClient connections
  ($OPENNMS_HOME/bin/checknsc)
- Moved StrafePing to it's own own package since it can cause a lot
  of I/O when doing response-time collection; to re-enable it, add
  your ranges to the strafer package in poller-configuration.xml.
- Added some performance-enhancing indexes to the database.
- Added SNMP trap definitions and data collection for IPUnity,
  Convergence, and MRV devices.
- Many linkd improvements.
- Many syslogd improvements.
- Reworked the installer to be a little more verbose in what it's
  attempting (and if it fails), see install -h for options
- Use jsch for a new SSH poller (bug #782)
- Configurably allow treating "no route to host" or "connection
  refused" as hard or soft errors. (bug #904)
- The outages display on the front page now tells how long the outage
  has been occurring. (bug #1552)
- The Jetty daemon is now more versatile, with support for setting
  the listen address, as well as the base URL for proxying behind
  mod_proxy (bug #2064)
- Unified (to some extent) the opennms.properties and webapp
  configuration.properties files.  The opennms.properties file is now
  the canonical location for configuration, and
  WEB-INF/configuration.properties overrides it's defaults.
- Added the ability to specific per report how many graphs to
  display in a KSC report.
- RSS feeds for events, alarms, outages, and notifications; see
  http://www.opennms.org/index.php/WebUI_RSS_Feeds
- fix bug where hitting [-] on some browser pages (alarm, etc.)
  caused an exception

1.3.6 to 1.3.7
----------------------------------------------------------------------
- huge performance updates in data collection and discovery
- new monitor: StrafePing (a SmokePing clone)
- Jetty servlet container integration (on port 8980); tomcat is no
  longer required
- ticketing plugin for Jira

1.3.5 to 1.3.6
----------------------------------------------------------------------
- Moved all native code out of the main build.  We still have external
  platform-specific dependencies, but the OpenNMS build is now
  pure-java!
- data collection improvements
- JRobin reporting look-and-feel improvements

1.3.3 to 1.3.5
----------------------------------------------------------------------
- Monitor parameter inversion
- data collection performance updates
- fix severity matching bug introduced in 1.3.3
- fix <specific> matching all IPs if no <include-range>'s were
  configured
- fixed bug where notifications with a serviceid of null failed

1.3.2 to 1.3.3
----------------------------------------------------------------------
- Add a "-Q" option (quick) to the startup script 
- Beginning of Drools support for correlation.
- Move contrib/report.sh to bin/generate-report and make it work again.
- Statistics (TopN) daemon created.
- Report "supression" available for similar reports.
- Trouble Ticketing API with CentricCRM integration. 
- Rewrote bits of the LDAP monitor to produce response time.
- OpenNMS now builds against Java6.
- JavaMailer improvements included charset and content type (text/html).
- The alarm list .jsp is now much more compact in order to display more 
  on a page. The old one exists as list-long.jsp.
- The Postgresql iplike function is now it's own project.
- The clearKey field was added to make automations easier to use.
- Fixed Bug 1403 which was causing the issnmprimary field to be
  set to "N" for interfaces with IP addresses and no SNMP.
- Changed a large number of files to make defaults more reasonable.
  Big change in the way RRDs are installed. If there is historic
  data, be sure to merge these files correctly or else the RRD
  structure will change.

1.3.1 to 1.3.2
----------------------------------------------------------------------
- Changed the way v2 traps are handled, we now do not take the first two 
  varbinds as parameters.  This is in accordance with RFC2089.  This is in 
  rev 4883 of SVN.  This should address bug 733.
- Add proxy-host support back into snmp-config.xml
- Notificatiaons can now reference %tticketid% to retrieve the ticket
  number from the event.  Auto resolving events now have all configured
  notification parameters.  Adds column to notifications called 
  notifConfigName which represents the name of the configured notification
  used to send the event.
- HTML fixes in the webUI per bug #1558.  Thanks Marc C Poulin
  <opennms@jawfish.com>!
- Data collection on arbitrary SNMP indexes is now supported.  See
  bug #504.
- Alarms now remove old events by default.  Use "auto-clean" attribute
  in eventconf files.  Files eventconf.xml and Standard.events.xml have
  been modified with this optional attribute.  Adjust to your requirements.
- Reordered the top offenders from worst to best.
- Added a date to the availability reports to choose which day to
  run.
- Added eventconf file for Pixel Metrics Traps/Notifications
- Added new partial object model to support new Importer integration
- Added new Importer service to be used in place of discovery and
- capabilities (Capsd) polling.  Runs on cron like schedule to import
- nodes, interfaces, services, and categories from an XML (see
  model-import.xsd)
- Added HTTP notification strategy.
- Add "Show/hide interfaces" link to the bottom of element/nodelist.jsp.
- Combine element/nodelist.jsp and element/nodelistonly.jsp in the webUI
  into a single page.  If the "listInterfaces" parameter is passed,
  interfaces will be shown for each node, otherwise, just nodes are shown.
- Significantly improved RTC startup time. (DB with 40K nodes and 30
  categories configured took 3.5 hours to init RTCd.  With improvements,
  time now < 2 minutes) (way to go brozow!)
- Improved category feature with new category_node and categories
  tables along with new database-schema.xml file.  Use categoryName
  now in your filter rules by populating categories and category_node
  tables appropriately.
- Changed snmpIfSpeed in the snmpinterface table to a bigint and made
  appropriate int->long and Integer->Long changes refering to ifSpeed
  Changed installer to not pg_dump using "-D" flag.  Be sure to run 
  the installer with the "-disU" option.  DJ - change this
  back if you see fit. Bug 1398.
- Added support for range attribute in threshd packages. When specified
  this will fetch the last non NaN value from an rrd between now and
  now minus range. Bug 1432.
- Added SNMP system definition for Powerware UPSes (OID mask
  .1.3.6.1.4.1.534.).  Thanks to Sean McAvoy <seanmcavoy@gmail.com>.
- Added asset info to the node page and some SNMP-Informant collections.
- Changed OpenNMS so that manage/unmange interfaces deletes active
  outages and does not require a reboot when unmanaging a service.
- Fixed an issue with the Scheduled Outages GUI and Java 5.
- Fixed an issue with data collection when the primary interface is
  on a NIC with other virtual IPs.
- Pull navbar from the top and bottom of the web pages into its own include
  file and use a bean to drive its operation instead of a ton of if statements.
- Pull ant filter replacements out of the web app from {header,footer}.jsp
  and about.jsp.  Use configuration.properties/Vault.getProperty() and
  Vault.homeDir() instead.
- More CSS-ification of the webapp.  Clean up the formatting of styles.ccs.
- Add a standalone ping utility to org.opennms.protocols.icmp.IcmpSocket.
  To use, do a "sh build.sh jar" and then execute this as root:
      java -Dopennms.library.jicmp=`pwd`/work/jicmp/libjicmp.* \
          -cp work/jar/opennms_services.jar \
          org.opennms.protocols.icmp.IcmpSocket <host>
  Note: the libjicmp.* part matches the libjicmp shared library name,
  no matter what the architecture.  The specific library is libjicmp.so
  on most platforms and libjicmp.jnilib on Mac OS X.
- Add NSClient capsd plugin and poller monitor written by Matt Raykowski,
  <matt.raykowski@gmail.com>.  Thanks, Matt!  Enhancement bug #1389.
  
1.3.0 to 1.3.1
----------------------------------------------------------------------
- Added NRPE capsd plugin and add NRPE entries to capsd and poller
  configuration files.

1.2.X to 1.3.0
----------------------------------------------------------------------
- Added stylesheets to the alarm and event lists, and added a
  specific UEI filter to events.
- Added a viewer page for Alarms.
- Add CentOS 4 support to the RPM spec file.  Bug #1222.  Thanks
  Ted Kaczmarek <tedkaz@optonline.net>.
- Fix the arguments to "find" in runjava.  It should now work properly on
  Mandrake Linux.  Bug #1205.  Thanks Chris Goheen <cg@sonic.net> for
  reporting this.
- Remove the Java dependency from the RPM package.  Of the Java packages
  out there, there is no common package name or virtual package name.
  We'll let 'runjava' do the dependency checking.  Bug #1144.  Thanks
  Ted Kaczmarek <tedkaz@optonline.net> for pointing out that we should
  try to use virtual packages.
- Remove the excludes for the compilation of JSP code from Java source to
  class files.  Anything ending in '.jsp' is now compiled.  The following
  two cleanups below made this possible.
- Reorganize the filesystem layout of the webapp to fit the Sun JSP code
  conventions.  Nothing in the actual files was changed, except for
  pathnames that pointed at files which ave moved.  Reference:
  http://java.sun.com/developer/technicalArticles/javaserverpages/\
	code_convention/
- Remove the eventconf editor from the webapp as it didn't compile.
  Opened up enhancement bug #1212 suggesting that this be resurrected
  and fixed at some point.
- Add enhanced oncall-schedules to users.xsd and UserManager
- Modify java code and build to use new castor-0.9.6 rather than the older
  version.  New version depends on commons-logging.jar. 
- Added commons-logging.jar to build in lib.
- Chage the build to castorbuilder.properties is passed correctly.  properties
  target of task fails to properly set it.
- Revised build-castor.xml to make use of macros also made cleanImports run
  only if an xsd was processed
- Revised build-sablecc.xml so cleanImports runs only if the .java files are 
  generated.
- Modified Eclipse project to exclude installer.properties and MANIFEST.MF when
  building as these need to pass thru ant token filters.
- Rearrange ant libraries to add more control over the ant classpath
  in preparation for modifying castor xsd source generation.  This included
  fixing eclipse builders and tool launchers.
- Changed default EclipseBuilder to 31M5GenSource that generates sablecc and
  castor code directly using ant without an intervening script.  May require
  Eclipse 3.1M5.  You can reenable the old one (GenerateSouce) under
   Project -> Properties -> Builders
- Added roles to users.xml and extend notifd to send notifications to 
  users scheduled for that role.
- Use RPM "virtual packages" for the Java dependency.  Bug 1144.  Thanks
  Ted Kaczmarek <tedkaz@optonline.net>.
- Add "jsp.compile" target (and other associated targets) that compile
  JSP files into Java source code and compile the resulting code into
  Java classes.  Useful for testing if a change to a JSP caused anything
  to break.  Will also allow us to unit test them in the future.
- Moved servlet.jar from lib to devlib.  We shouldn't be distributing
  this with binary builds.  Bug 1146. 
- De-singletonized Eventd for jUnit test framework
- Added support the new notion of Alarms vs. Events
- Enhanced Vacuumd with support of Automations.  Automations process
  triggers and actions that are defined as SQL statements using the
  Schedule class.
- Changed JavaMailer to only send mime mult-part message if a file
  attachment is required.
- Added pause code to Schedule class
- Created OpenNMSTestCase base class for JUnit testing.
- Added support for SNMPv3 using SNMP4J API.  Currently, only
  discovery (capsd) and monitoring (poller) support v3.
- Enhanced snmp-config.xml with new attributes to support SNMPv3
  as well as a new <ip-match> tag that behaves just as the IPLIKE
  so users have more flexibility specifying SNMP settings. 
- Modified SNMP plugins and monitors to rely more heavily on snmp-config.xml.
- Clearified the behavior of the SnmpPeerFactory constructor that takes
  the SNMP version argument to be one of "requested version" vs. "required".
- Moved capsd plugins to a separate package from capsd.
- fix namespaces issue with marshalled reports
- Added a zoom function to the performance results page.  Click on the graph 
  that you would like to interact with.  Then click drag for the time fram to 
  examine. This is still in the experimental phase, it works well FireFox and 
  IE, not with Konquerer or Safari
- Merged feature-xmlrpc-branch.  This includes enhancements made to the XML-RPC
  API as well as a new HttpMonitor that allows for virtual host, url, and page
  content matching; litterals as well as reqular expressions.

1.2.4 to 1.2.5
----------------------------------------------------------------------
- Added group duty schedules. Bug 1147. Thx Bill
- Updated Novell Events.
- Added Netscreen Events.
- Added AirDefense events and updated Symbol events.
- Fixed a number of documentation mistakes pointed out by Austin Tuan.
  Thank you very much, Austin!  Bug 1303.
- Fixes to build.xml to make it easier to specify compiler options for
  explicitly setting the target architecture for the JNI code and the
  PostgreSQL module (build.jni.compiler.arg and build.postgresql.compiler.arg,
  respectively).  Thanks to Jonathan Sartin who submitted a patch.  Bug 1331.
- Fix for building on FreeBSD.  Should now be able to do it by creating
  a build.properties file (see the release notes for details).  Thanks
  to Dennis Berger and Brent Verner for supplying patches.  Bug 1315.
- Fix some small bugs in JavaMailer.  Fixed the default recipient address
  by placing square brackets around the IP address to make it a valid
  domain-literal per RFC 2822.  Also fix a logging bug where the subject
  was logged twice instead of logging the subject and the message contents.
- Performance enhancement for the Scheduled outages editing page. Bug 1340.
  Thanks, Craig M.!
- Added Symbol WS5000 events and updated eventconf.xml  
- Fixed issue where xmpp notifications were only being sent to one user in goup
  notifications - Bug 1329.
- Added xmpp group (chat room) notifications - Bug 1246

1.2.3 to 1.2.4
----------------------------------------------------------------------
- Fixed a problem with acknowledging events. Bug 1290
- Added the ability to use a URL in the HTTP and HTTPS Monitors.
  Bug 848.
- Colored the background of notification IDs to match the severity
  of the event that triggered the notice. Bug 1262. Thx Eugene
- Display notification totals for both the logged in user and everyone
  else. Bug 1257. Thx Bill.
- Made a change to prevent duplicate "Update SNMP" links.
  Bug 1256. Thx Bill.
- Modified the HttpPlugin to handle replies with a newline.
  Bug 1214. Thx Tobey
- Added the ability to include %descr% tags in notifications
  that reflect the description of the event that caused them.
  Bug 1183. Thx Vincent.
- fixed an issue where secondary IP addresses would be set when
  they were not included in collectd. Bug 1178. Thx again Bill.
- Added a new feature to fine tune RESOLVED messages in 
  notifications. Bug 1087. Thx Bill.
- Added HC counters.
- Corrected an error with BGP4 standard events.
- Added Netgear events.
- Listed all the parameters in an unformatted event.
- Added SystemEdge and Fujitsu-Seimens events, as well as new MGE-UPS
  event definitions.
- Added MGE UPS collections and reports.
- Make the tilde "~" character work in filters and rules. This
  allows for regular expressions in SQL queries in Postgres 7.4+
- Added support for RFC1628, the UPS MIB

1.2.2 to 1.2.3
----------------------------------------------------------------------
- A few small documentation fixes, including bug 1204 (thanks Chris)
  and bug 1185.
- Change the $echo variable in opennms.sh to $opennms_echo.  This should
  take care of problems people were seeing on Mandrake.
- Added data collections for TCP stats.
- Modified isReady for PollableService as a work around for hung polling.
- Added some SNMP Informant collections, reports and thresholds.
- Added NORTEL Contivity events. Bug 1223. Thx Julian
- Added some new Foundry event definitions. Bug 1234. Thx Ted
- Added the --color attribute to jRobin graphs. Bug 1239. Thx Gerald
- Tweaked the availability report format from suggestions from the
  list.
- Removed the possibility that 0.0.0.0 would show up as the IP
  address for a service in the ifservices table. Thx Bill
- Applied final version of poll outage editor. Bug 1116. Thx Craig

1.2.1 to 1.2.2
----------------------------------------------------------------------
- Fixed an issue with the webUI and null issnmpprimary values.

1.2.0 to 1.2.1
----------------------------------------------------------------------
- Fix source RPM builds ("srpm" build target).  Bug 1112.  Thanks, Tarus.
- An Admin GUI is now available to modify snmp-config.xml. Bug 1167
  Thx Gerald
- Added the ability to remove "secondary" status from interfaces
  via the SNMP Collection Admin UI, and added a direct link
  from the node admin page to the particular node's configuration
  page.
- Applied the patch to help with 30 second outages. Bug 1180. 
  Thx Tobey
- Added package name to Interface page for admins. Bug 1044. Thx Bill
- Extended the varbind matching in Notifications. Bug 1032. Thx Wiktor
- Added mib2.packets report. Bug 1179. Thx Andy
- Made some improvements to the node page. Bug 1018. Thx Bill
- Added notification selection to top of page. Bug 1017. Thx Bill
- Added nodeid to modify asset page. Bug 785
- Added a new and improved DHCP poller. Bug 663. Thx Bill
- Added a more descriptive error message when an invalid outage ID
  is entered in the webUI. Bug 498
- Added display of ifAlias in an event or notification.  It uses the nodeid
  and the ipaddr to find it.  Use %ifalias% to see this in the event or 
  notification.  Bug 1140
- Fix the opennms init script so that it works properly with chkconfig.
  Bug 1177.  Thanks Julian Gomez <JulianJose.Gomez@getronics.com>.
- Fixed the Configure SNMP Data Collection per Interface UI to be
  much faster and to handle null issnmpprimary values.
- Initialize begin and end times in isTimeInOutage so days of week is
  properly handled when passing a date that's not 'now.' Bug 1170.
- Reset TreeMap in last month top 20 outage calculations
  before accumulating outages for each service. Bug 945.
- Move the column constraints in create.sql to be at the end of table
  definitions, instead of immediately after the constrained column and
  update the installer to allow this.  Unit tests included.  Bug 1159.
- Have build.sh prefer the JRE at $JAVA_HOME/bin/java if JAVA_HOME is set.
  Bug 1154.  Thanks Chris Abernethy <opennms@obado.net>.
- Clean up the text of the <fail> tasks in build.xml so they are more clear.
  Bug 1155.  Thanks Chris Abernethy <opennms@obado.net>.
- Add Poll outage editor contributed by Craig Miskell.
- Fixed an issue with Unresponsive services being considered up
  even with unresponsiveness set to false. Bug 1151.
- Added a focus to the add interface page. Bug 1148. Thx Craig.
- Added a Linksys event to stop stupid connection traps.
- Addressed issue with DHCP poller not closing connections. Bug 1101
  Thx Bill.
- Added XMPP Notifications (Jabber) to OpenNMS. Bug 1168. Thanks Chris
- Added the ability to gather and display SNMP text properties in 
  reports. Bug 1115. Thx Craig.
- Changed snmpIfAlias column size to 256. Bug 1127
- Modified MockPollConfig to share code with PollOutageConfigFactory. Bug 1122.
- Write test for and fixed midnight outages in PollOutageConfigManager.
  Bug 1122.
- Fix GETBULK in SnmpIfCollector to handle cases where indices are not
  contiguous.  Fixed ArrayIndexOutOfBound exceptions. Bug 1141
- Add RESOLVED: to body of email and pager msgs.  Unit tests include. Bug 1134.
  Thnx mhuot and bill ayres.
- Fix the /usr/bin/opennms (or /usr/local/bin/opennms) script created by
  opennms.spec.in so that it passes arguments to opennms.sh.  Bug 1136.
  Thanks to Chris Abernethy <opennms@obado.net> for reporting this bug.
- Fix some small documentation bugs.  Bugs 1137 and 1138 and an email to
  opennms-discuss.  Thanks Chris Abernethy <opennms@obado.net> and
  Austin Tuan <ystuan@gmail.com>.
- Fixed notifications so that they use local time instead of GMT time.  Also
  fixed the same problem in the webUI for data like the last service scan time
  on the interface page.  Bug 1114.  Thanks to Bill Ayers <ayres@net.orst.edu>
  and Craig Miskell <craig.miskell@agresearch.co.nz>.

1.1.5 to 1.2.0
----------------------------------------------------------------------
- Added new SystemDef for Cisco PIX. Thx Ted. Bug 1047.
- Removed deleted nodes from the list of nodes available for
  choosing SNMP data collection. Thx Bill. Bug 1043
- Added a dependency for a lib required by Java on FC3. Bug 1068
- Added some corrections to the release notes. Thx Scott. Bug 965

1.1.4 to 1.1.5
----------------------------------------------------------------------
- Added support for ifAlias. Thx Mike and Bill. Bug 598.
- Added Patrol Events
- Relabeled hpux.cpu report from Swap to CPU. Thx Jason
- Changed the label to "UnAck" when looking at acknowledged events.
  Bug 927
- Added a quick link to KSC reports from the main page.
- Added a test to avoid a nullPointerException during data collection.
  Thx David. Bug 841
- Corrected an issue with notification/event matching. Bug 740.
- Added a check for improperly formatted v2 traps.
- Deprecated many of the "standard" events that are no longer needed.
- Added a new UEI named MATCH-ANY-UEI. When used in a notification
  rule, it will return "true" for any UEI. Useful for getting
  notifications on all events to a single devices or group of
  devices.
- Added definitions for MGE UPS traps.
- Added definitions for Network Appliance traps.
- Removed the need for an ifIndex for SNMP data collection. Once the
  service is discovered, a rescan may be necessary. Thx Bill.
- Added a fix for notifications with an IP address of 0.0.0.0. 
  Bug 1016. Thx Bill.
- Added a null pointer fix for categories. Bug 1015. Thx Bill.
- Added an event for Snort traps. Thx Deven
- Added Netbotz events.
- Added a bunch more event definitions. Thx Mike and Jonathan
- Added new Compaq event definitions. Thx Mike
- Added a number of new graphs for Net-SNMP collections.
  Thx Robert and Ray.
- Totally reworked and reordered datacollection-config.xml and
  snmp-graph.properties to make them easier to manage.
- Removed mib2-interfaces from SystemDefs to prevent double-polling.
- Added the event UEI to the event detail.
- Added a test for the Dell OpenManage service, and if available,
  an OpenManage link will appear on the webUI node page.
- Removed the cisco.pixcpu report as a duplicate of avgBsy5. Thx Alex
  Bug 925.
- Made the Netware mask more generic. Thx Wes. Bug 880
- Corrected the text for send-event.pl. Thx John. Bug 819
- Added a patch to prevent issues with Cisco Routers and CEF enabled.
  Thx Siddhartha. Bug 803.
- Added a fix to address an issue when editing destination paths.
  Thx Craig. Bug 920

1.1.3 to 1.1.4
----------------------------------------------------------------------
- Updated the release notes and install guide.
- Lots of performance enhancements for collectd
- Added a Java based mailer to remove the need for /bin/mail and
  perl.
- Added data collection and graphs for SNMP Informant.
- When the asset information for a node is modified, OpenNMS
  will now update RTC to include any changes.
- When a new node is discovered, created a null record in
  the assets table. This is useful for those using
  the categories section in assets for notifications.
- Added a new indicator to the webUI that if the categories
  have not been updated in two minutes, the category colors
  will go light blue - like "Calculating .." to indicate
  that Tomcat is not talking with OpenNMS. Thx Mike.
- Added the ability to sort on parameters as well as events for
  notifications.
- Added some new standard performance reports. Thx Ted.
- Fix RPM dependencies.  Bug 905.


1.1.2 to 1.1.3
----------------------------------------------------------------------
- Fixed mistake with "ports" in HttpPlugin. Bug 889.
- Fixed issue with custom notification rules being erased. Bug 754
- Fixed Asset Import issues. Thx Jonathan. Bug 700
- Added support for centos3 (RHES 3) for rpm builds. Bug 801
- Added response time info to JDBS poller. Bug 830
- Added some opennms.init changes to support SuSE. Thx Deej. Bug 713
- Added some build changes to support SuSE. Thx Deej. Bug 712
- Modified plugins and polloers to uses Socket.connect w/ timeout 
  rather than SocketChannels.  Bug 784
- Updated dtd link in web.xml. Thx Xavier. Bug 813
- Added a small workaround to "import" issues in jsps. Bug 820
- Fixed "unary operator" issue on CentOS (RHES) in opennms.sh. Bug 795
- (ELB) Fixed a number of javadoc warnings
- Fixed issues with event and notification browsing. Thx Jay. Bug 677
- Made a small change to support Fedora - Thx Thomas
- Added BEA Weblogic events. Thx Kyle
- Fixed admin pages to work with later Tomcat4 versions. Thx Doug
- Added Backup Exec event definitions. Thx Chris
- Corrected numbering at bottom of asset import page. Thx Jonathan
  Bug 806
- Fixed Pop3Monitor exception error. Thx. Xavier. Bug 807
- Fixed vulscand class cast error. Thx Siddhartha. Bug 810
- When a new service is added, like SNMP, the categories for the node
  that gained the service will be rescanned to see if the new service
  modifies the filter for a particular category. Bug 683
- When a service is deleted from a node, the node will not be deleted
  from all categories. Bug 796 and 775
- When new services are discovered via a rescan, they were not being
  polled until OpenNMS was restarted. This is now fixed.
- Fixed a Delete Nodes issues with RTC - Bug 797
- Added support to build OpenNMS on FreeBSD. Thx Andrei
- HttpMonitor and HttpsMonitor now use "port" instead of "ports".
  Bug 744
- Modified the DecimalFormat in CategoryUtil from ".000" to "0.000"
  Bug 468
- Added a sort to KSC reports - Thx Craig - Bug 751
- Fixed typos - Thx Volker - Bug 750
- Merge some more changes from the Rackspace branch.
- Made some serious performance enhancements to startup times.
- Added an XML RPC daemon for sending OpenNMS to an external server
- Added some new asset categories for use with notifications and
  polling. Thx Bill A.
- Made some changes to the .spec file to support Fedora
- Updated copyright information in preparation for 1.2.
- Added "maxval" and "minval" options to mibObj definitions in order
  to provide greater configuration for RRDs and to help with counter
  wraps.
- Added APC System Definition for data collection.
- Fixed a null pointer exception with KSC reports.
- Fixed a small bug with SNMP Performance links on interface pages.

1.1.1 to 1.1.2
----------------------------------------------------------------------
- Fixed issues in events when nodes are deleted. Bug 708
- Fixed issues with null issnmpprimary values. Bug 741
- Added the ScriptD daemon for running BeanShell scripts. Thx Jim
- Set caspd not to reset the parentId on a rescan (useful for maps)
- Fixed a bug that caused certain rules to match all. Bug 752
- Fixed Plugins and Monitors to explicitly close sockets
- Added an ORDER BY statement to correct issues with RTC not 
  reflecting the problem number of down services.
- Added a small fix to the HTTP and HTTPS monitors that could cause
  a ClassCastException, marking the polled service as down. Thx Jim
- Added Bill Ayers' code that creates a script based plugin and 
  monitor.
- Added a fix to catch RRD update errors on nodeLostService events
  that can cause nodeDown events. Bug 748.
- Fixed a typo in mail.pl in contrib
- Added Derek's code to implement mapping in OpenNMS. This is the
  initial attempt, and thus it is disabled by default. Please
  read $OPENNMS_HOME/etc/map.disable in order to enable mapping.
  Thx. Derek
- Added a new JDBC poller which does a synthetic transaction. (Thx 
  Jose)
- Added some new trap definitions from IBM and Intel.
- Added an SSH specific poller that sends an identification string
  when connecting. Helps reduce the number of logs.
- Added a "bits" report and made it the default report for KSC.
- Added the ability to define a null filter (speeds things up)
- Added new Cisco and UCD-SNMP reports (Thx Tony and Stuart)
- Added RFC2325 to datacollection-config.xml
- Changed the count for notifications to reflect just those for the
  user logged in.
- Added security roles to web.xml. Bug 715. Thx DJ
- Corrected issues with last day/week/month/year buttons in webUI.
- Added check to handle null terminated strings in traps. Thx Dave W.

1.1.0 to 1.1.1
----------------------------------------------------------------------
- Fixed a small bug with RRAs. Bug 707. Thx Volker
- Slightly improved the output of mib2opennms. Thx John and Rick
- Added trap definitions for Dell OpenManage.
- Added trap definitions for Foundry Networks. Thx Bill W.
- Added trap definitions for ADIC devices. Thx Robert M.
- Added Key SNMP Custom (KSC) Performance report builder, under 
  the Reports section of the GUI. Thx Dave M.
- fixed JNI calling on MacOSX 10.2 (jnilibs now build as 2-level
  namespace)
- updated logging to log4j 1.2.7
- fixed install.pl to consider type "6" as unicode as well (fixes
  unicode check on postgresql 7.3+)
- Added a two minute refresh to the Events list page. Thx Chris Y.
- Added an event cache to fix the problem where "up" events
  are recorded before "down" events. Bug 650
- Disallowed Null Search Text. Bug 536
- Added last day/week/month/year buttons to Performance and
  Response Time report pages. Bugs 546 and 618
- Corrected some SQL syntax in the Outage WebUI. Bug 681
- Increased the size of the contactinfo field in the usersnotified
  table from 32 to 64 characters. Bug 671
- Added an HTTP button for nodes and interfaces with the HTTP
  service. Bug 469
- Added Response Time links to node and interface pages. Bug 684
- Added an "order by" to a notifications SQL statement. Bug 648
- Added the option to define "match-any" as the IP address in 
  the poll-outages calendar.
- Added the ability to define RRAs for response time data per
  poller package. Bug 680
- Fixed a style sheet issue in the WebUI. Bug 568
- Added non-blocking I/O to HTTPS service.
- Added Response Time collection to the following Monitors:
  Citrix, FTP, HTTPS, IMAP, POP3, SMTP and TCP. Bug 693
- Allowed for the default action of generating a newSuspect event
  when a trap is received from an unknown IP address to be turned
  off.
- Associated traps with nodes. Bug 582
- Fixed small bug in Trap handler. Bug 676
- Fixed interface/node sorting bug (Derek Glidden) Bug 443

1.0.0 to 1.1.0
----------------------------------------------------------------------
- Added Event definitions for traps from 3Com, APC, Brocade, CIM,
  Cisco, Fore, HP, Intel, Microsoft, Novell, Oracle, SonicWall,
  and Xerox devices.
- Changed most capsd plugins and poller service monitors to 
  use non-blocking I/O in case of NoRouteToHost.
- Added the ability to choose NOT to notify on a given service
  via the WebUI. (Thx Nick W).
- Added two new fields for notifications: %nodelabel% will return
  the nodelabel for the nodeid in the event, and %interfaceresolve%
  will return the hostname for the IP address of the interface.
  (Thx Nick W). Bug 654 
- Added the ability to display reports on the response time for
  ICMP, HTTP, DNS and DHCP polls. Bug 612
- Added a new XML file called webui-colors. Currently this only
  allows one to set the colors for the categories display,
  but this will grow to include all the colors in the Web UI.
- Since the UEI is just a string, removed the "http://" and all
  references to "bluebird" in UEIs.
- Disallowed spaces in Path names. Bug 657
- Removed borders around Event and Notification lists (per Larry)
- Added the ability to match an event to more than one notification.
  Added the boolean "match-all" to the notifd configuration to
  control this (default is false or off). Thx Nick Wesselman for
  most of the code for this.
- Fixed a small bug with wildcards in eventconf.xml
- Added a "clear" attribute to the acknowledge tag for notifications,
  so now the "up" can be ack'd along with the "down". Bug 544
- Added a "title" to categories to reflect the last update. Bug 517
- Fixed the AM/PM in the Performance Report drop down. Bug 515
- Fixed some typos and bad URLs in error messages. Bug 662
- Changed all references to Hashtable (deprecated) to HashMap
- Fixed multipart message mistake. Bug 591
- Added the ability to associate events in eventconf.xml with 
  specific parameters (varbinds). Bug 626
- Modified eventconf.xml to allow for event definition files to be
  included using the <event-file> tag.
- Added a Threshold Rearm event for both Low and High Thresholds.
- Added an Admin GUI page for deleting nodes. Bug 602
- Added the ability to select which non-IP interfaces would be 
  scheduled for data collection, and built an Admin WebUI page
  to configure it. Bug 616
- Loopback interfaces will now be discovered, and are preferred
  as the Primary SNMP interface. Applies to non-127.*.*.*
  interfaces only.
- fixed issue with capsd pulling all of the ifTable for interface.
  Could cause issues with some HP switches.
- Bug 664: Notifications not filtering on services.
- Bug 666: Generic SNMP Traps are hard-coded and cannot be 
  managed via eventconf.xml. This fix also included a change
  that fixes and enforces the order of events in eventconf.xml.
  Care must be taken so that the most specific mask matches are
  listed  before more generic ones. But this fix insures that the
  correct wildcards and exact matches work as ordered.
- Fixed a NullPointer exception when deleting a node due to a
  poller downtime model.
- fixed bug with Admin/Oper status types causing exception
- removed duplicate listings for LDAP and Citrix in capsd config
- fixed bug with rescans on certain devices (net-snmp on MACOSX)
- fixed bug to allow threshold events to cause notifications
- included workaround to handle eventconf.xml issues
- added numerous updates to datacollection-config.xml and
  snmp-graph.properties.xml
- added a contrib directory and Tomas Carlsson mib2opennms program

1.0.2 to 1.0.3
----------------------------------------------------------------------
- Added workaround to actiond to help with 1.4.1 JDK issues (Thx Nick)
- Fixed bug in Trap handler. Bug 676 (Thx Ross)

1.0.1 to 1.0.2
----------------------------------------------------------------------
- Added Event definitions for traps from 3Com, APC, Brocade, CIM, 
  Cisco, Fore, HP, Intel, Microsoft, Novell, Oracle, SonicWall,
  and Xerox devices.
- Disallowed spaces in Path name. Bug 657
- fixed small bug with wildcards in eventconf.xml
- fixed AM/PM ordering on Performance Report drop down. Bug 515
- fixed typo - Bug 662 - thanks Volker
- fixed issue with capsd pulling all of the ifTable for interface.
  Could cause issues with some HP switches.
- Bug 664: Notifications not filtering on services.

0.9.9 to 1.0.0
----------------------------------------------------------------------
- reporting bugfixes
- the "OpenSSH" service is now "SSH", to catch commercial SSH servers
  as well
- capsd "url" tag changed to "include-url" for including a file for
  capability checks
- HTTPS was missing from the "web servers" category
- new support for marking a service as unresponsive if a poller is
  able to connect, but unable to make a service poll (this is disabled
  by default; to enable, set serviceUnresponsiveEnabled to "true" in
  the poller-configuration.xml file
- addition of a few new trap events
- some infrastructure (capsd, collectd, etc.) code cleanups and minor
  bugfixes
- better handling of unusual packets from faulty DHCP servers
- some minor changes to event persistence
- a fix for "Calculating..." never going away if the webapp tries to
  get RTC information before RTC is ready
- a few minor bugfixes and cosmetic changes in the web UI
- more fixes to upgrades in install.pl
- OIDs with numeric (usually floating-point) data in an octet string
  can now be collected on

0.9.6 to 0.9.9 (rc)
----------------------------------------------------------------------
- OpenNMS now relies on the 1.4 JDK
- JMS IPC mechanism replaced with much faster custom IPC
- Start of JMX-enumeration of services
- major performance updates
- some bugfixes for compiling on solaris
- SNMP collection is now part of it's own subsystem -- 'collectd'
- addition of thresholding with 'threshd'
- last vestiges of views.xml removed (all configuration occurs through
  categories and viewsdisplay; views.xml may return in a later WebUI
  incarnation that has proper multi-user support)
- reporting subsystem rewritten and cleaned up
- timestamp handling changed in the database - event times are now
  proper timestamps
- many database indexes added for better table performance
- many SNMP data collection bugfixes (default storageflag is now
  "all"!  Be warned that on large networks with many switches, this
  can use disk space up very quickly.)
- addition of the outage browser

0.9.5 to 0.9.6
----------------------------------------------------------------------
- addition of "abort-protocol-scans-if-no-route" option to the
  capsd-configuration.xml to account for ICMP-eating firewalls
- addition of dhcpd-configuration.xml for configuration of MAC address
  so that DHCP polling works with more DHCP servers
- addition of Domino IIOP poller
- rrd graph updates
- cleanup of some obscure SNMP bugs, as well as some not-so-obscure,
  obvious and annoying RRD bugs  :)
- addition of a totally unsupported but mildly useful perl interface
  to the category availability panel
- addition of event parm support to send-event.pl

0.9.4 to 0.9.5
----------------------------------------------------------------------
- added an "updates" directory that "hotfixes" can go into for bug
  fix purposes between releases
- OpenNMS has been successfully run on MacOSX, with some coaxing --
  there are still a lot of dependencies that need to be worked out
  for a proper fink install, however
- added HTTPS poller
- reporting/RRD interface is still being reworked before 1.0 for
  future flexibility
- more work on documenting XSDs
- more cleanup and additions to event mask functionality
- fixed the bug where acknowledged events show in the event UI
- addition of advanced query panel for events
- the port on which eventd listens (TCP and UDP) can be configured
  in eventd-configuration.xml
- fixed a bug where setting snmpQueryFlag to "all" in the data
  collection XML would cause the "Execute Query" action on the
  home page to fail

0.9.3 to 0.9.4
----------------------------------------------------------------------
- very large bug in handling of dates in RTC fixed; RTC is probably
  broken on all previously releases (but only in January =)
- build now works with OSX, although there are still major runtime
  issues -- once worked out, fink packages will be on the way (see
  http://fink.sourceforge.net/)
- there have been a number of other small shell/init fixes
- addition of a Notes HTTP poller, as well as the reintroduction of
  the SQLServer/Informix/Sybase/Oracle TCP poller configuration that
  disappeared around 0.9.0
- some report bugfixes and additions
- the SNMP poller has been totally reworked, and now supports "packages"
  for SNMP, allowing customized levels of data collection, including
  node-level collection, and the ability to do different collections
  based on interface type.  This also affects the location of RRDs, a
  conversion tool was not ready at the time of release.
- filtering in the web interface has been cleaned up, as well as a
  number of other usability fixes

0.9.2 to 0.9.3
----------------------------------------------------------------------
- rearranging of the build process (jar copying and such) has knocked
  a good 4MB off the resultant binary packages
- cleaned up the install doc to be current
- added Citrix and LDAP pollers
- logging warning cleanups
- a new categories.xml config file (if upgrading from source, please
  re-run install.pl)
- new plpgsql stored procedures
- the webui now gets 'Overall Avaliability' for a node using stored
  procedures
- the 'ifServices' table has a new 'status' value -> 'N' and the
  'ipInterface' table has a new 'isManaged' value -> 'N' (Look at
  etc/create.sql for explanation)
- other minor bugfixes

0.9.1 to 0.9.2
----------------------------------------------------------------------
- fixed a few minor build issues
- changed some of the default configuration to be more like 0.8.x
- some workarounds for i18n issues
- rearranging of constants for better code reuse
- some minor capsd updates (mostly rescan handling and configuration
  loading updates)
- some node reparenting bugfixes
- a few JMS code updates
- notification bugfixes
- web UI broken link fixes

0.9.0 to 0.9.1
----------------------------------------------------------------------
- build cleanups, including reintroduction of ability to build PDF
  docs (./build.sh docs.pdf)
- documentation updated to Docbook XML 4.1.2
- more conversion updates, including a script to run it   =)   just
  run convert-conf.sh to convert an OpenNMS 0.8.1 or earler set of
  configuration files to 0.9.x
- internationalization updates for date storage
- path cleanups in some code
- reporting tweaks and fixes
- a very large bug in actiond that was preventing notifications and
  automatic actions from working was fixed
- capsd updates for node rescans
- event processing fixes
- other discovery and polling fixes
- updated web UI to work with tomcat 4.0.1 (yay!)
- a few other small documentation and wording changes in the web UI
- fix for the report.sh script not looping over all categories
- install.pl now properly converts columns that have changed

0.8.1 to 0.9.0
----------------------------------------------------------------------
- swing GUI is gone
- SNMPv2 bulk-get polling whenever possible
- completely new notifications engine
- many many web UI changes and cleanups
- rearranged API
- no more JSDT, no more RPC

0.8.0 to 0.8.1
----------------------------------------------------------------------
- icmpd replaced by JNI native interface
- some small configuration file tweaks
- better IP handling in capsd
- DHCP poller updates
- notification bugfixes
- small event updates
- updated configurable categories in the Web UI
- changed scheduler VMs for smaller memory usage (scmconfig.xml)

0.7.5 to 0.8.0
----------------------------------------------------------------------

- permissions updates in the RPMs
- configuration file default value updates (better example groups,
  notifications, etc.)
- new DHCP service poller
- new (well, working =) SMB/NetBIOS service poller and discovery
- more log4j improvements (the move to log4j should be complete)
- many updates to web reports
- HTTP service poller updates (more generalized)
- all new icmpd with SCM support -- no more "opennms icmpd start"!
- many SCM updates
- many RTC improvements
- many other misc. updates, bugfixes and cleanups
- as always, too many WebUI updates to mention, although it is
  important to note that event views are now split up into 100 at
  a time (formerly in KNOWN_ISSUES)
- we now require PostgreSQL 7.1 for some things to function
  (hooray for outer joins!)


0.7.3 to 0.7.5 (0.7.4 was an internal sync-point)
----------------------------------------------------------------------

- updated the quick start documentation (yay!)
- more build and opennms.sh updates (better JDK detection)
- documentation is not built by default
- newer crimson and jaxp required for tomcat now; fixes sealing
  violations, so xercesTomcat.jar has been removed from the build
- send-event.pl script added to send fake events to OpenNMS
- more additions and changes to the default configuration files,
  including better event messages, and updated default ranges
- lots of log4j updates
- lots of capsd updates, including new node labels
- lots of GUI updates
- start of fleshing out reports
- "opennms.sh passwd" is now genpasswd.sh
- added notify.sh for sending pager/email notifications
- many web UI updates

0.7.2 to 0.7.3
----------------------------------------------------------------------

- fix for RedHat 7.1 and JDK 1.3.0_02
- build changes -- updates to paths and some files missing from dist
  and install
- INSTALL.html now auto-generated again
- fixes for install.pl for perl 5.6.1, auto-parsing of the homeDir
  entry in server.xml
- some changes to compilation defaults
- RPM updates
- started in on a lot of path updates
- better parsing of external exec command-lines (notifications,
  automated actions)
- lots of logging updates
- lots of capsd updates (better constants handling, logging, and more)
- URLs now work for discovery input "ranges"
- better node name/hostname handling
- swing code cleanups
- updated ONCRPC code to latest snapshot
- report code updates
- new event columns
- lots of web updates

0.7.1 to 0.7.2
----------------------------------------------------------------------

- completely new build system that should make it easier to port to
  other POSIX systems
- some small changes to install.pl that should make it better about
  finding the database, as well as options for specifying the postgres
  super-user account and password
- data collection now works with properly-configured linux systems
  (with net-snmp installed), as well as many other data collection
  updates
- simplified RPMs with less dependencies
- a much more user-friendly default event configuration
- more overhaul work to SCM, with a new custom classloader that should
  reduce memory consumption more, and clean up jsdt channel
  interaction.  This should open up the possibility of restarting
  services without jsdt issues, although it is not implemented yet.
- start of path cleanups to remove the dependency of running from
  $BB_HOME (not yet complete)
- start of move to Log4J for all logging, which will allow customizing
  log file behaviour (rotating, syslog logging, etc.)
- beginning support for simple event correlation
- many updates to notification
- many updates to RTC
- too many Web UI updates to mention

0.6.1-2 to 0.7.1
----------------------------------------------------------------------

- many many documentation updates (both references and JavaDoc APIs)
- many small updates to the RPM build, as well as updated support
  RPM packages as well... things should install much cleaner now
- many small buglets fixed in the build process
- many small updates to the install.pl
- new capability checker for the daytime service, as well as some
  other logging and code updates on capsd
- updates to configuration files for saner defaults (including some
  new events)
- a number of minor updates and cleanups in the poller, including
  an update to paging calendaring, default ports for the HTTP
  service monitor, updates to scheduling, and other tweaks
- better parsing of user info, groups, and views
- too many updates and additions to the web interface to list
- updates to outage handling
- updates to the opennms.sh script
- cleanups and updates to SCM, including better error handling

0.6.1 to 0.6.1-2
----------------------------------------------------------------------

- small logging changes
- documentation updates
- property file defaults updated
- a DTD fix for views
- fixes for RRDTool graph display on Linux

